Bug 1247950 - When creating a template from glance we should mark the bootable disk as bootable
When creating a template from glance we should mark the bootable disk as boot...
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
high Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Allon Mureinik
Raz Tamir
: Automation, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 06:24 EDT by Raz Tamir
Modified: 2017-09-28 04:41 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-04 06:55:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑4.2+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79763 master MERGED core: Make Glance's template's disk bootable 2017-07-25 09:32 EDT

  None (edit)
Description Raz Tamir 2015-07-29 06:24:06 EDT
Description of problem:
When cloning vm from template with bootable disk, the cloned vm is created with the disk but it is not mark as bootable.
This affect us because when creating more disks there is no bootable device marked to boot from



Version-Release number of selected component (if applicable):
ovirt-engine-3.6.0-0.0.master.20150627185750.git6f063c1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. create vm with 1 bootable disk
2. create a template from that vm
3. clone a new vm from the template

Actual results:
the 1 existing is not marked as bootable 

Expected results:


Additional info:


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information: 


Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Greg Padgett 2015-08-03 18:18:24 EDT
I performed the following using the latest master (3.6) code, on both NFS and iSCSI storage, and was not able to reproduce:

1. create a vm
2. add a bootable disk
3. click "Make Template" from the Virtual Machines tab
4a. from the Templates tab, select "New VM"
4b. (also tried:) from the Virtual Machines tab, "New VM", then select the template

If you can still reproduce, please attach an engine log and let me know if any of the steps are different to make it happen.  Thanks.
Comment 2 Raz Tamir 2015-08-04 06:55:27 EDT
Ok I know why you couldn't reproduce this. Because the template wasn't created from re-configured vm, it was imported from glance repository as template.

So this is not a bug but do you think that the imported template disk from glance should be marked as bootable by default?
Comment 3 Greg Padgett 2015-08-04 16:39:11 EDT
(In reply to ratamir from comment #2)
> Ok I know why you couldn't reproduce this. Because the template wasn't
> created from re-configured vm, it was imported from glance repository as
> template.
> 
> So this is not a bug but do you think that the imported template disk from
> glance should be marked as bootable by default?

I don't know why we wouldn't, unless there's some safety/security concern for which we want the flag set manually.  Allon?
Comment 4 Allon Mureinik 2015-08-05 10:36:56 EDT
(In reply to Greg Padgett from comment #3)
> (In reply to ratamir from comment #2)
> > Ok I know why you couldn't reproduce this. Because the template wasn't
> > created from re-configured vm, it was imported from glance repository as
> > template.
> > 
> > So this is not a bug but do you think that the imported template disk from
> > glance should be marked as bootable by default?
> 
> I don't know why we wouldn't, unless there's some safety/security concern
> for which we want the flag set manually.  Allon?

I think it's just an oversight.
Yaniv - your two cents?
Comment 5 Yaniv Lavi (Dary) 2015-08-09 10:57:57 EDT
When making a template from image in glance we should mark it as bootable. Reopening.
Comment 6 Red Hat Bugzilla Rules Engine 2015-10-19 06:51:13 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 7 Owen Marinas 2015-10-24 23:19:18 EDT
SI there any workaround to make the disk on imported templated bootable ?
Comment 8 Owen Marinas 2015-10-25 09:16:51 EDT
You may want to test again,
what I'm getting is no disk attached at all.

after cloning from the glance imported template:
1- the vm will not fins any bootable device
2- attached a live DVD and boot from DVD
3- fdisk -l /dev/vda
   Display no partitions on the device.
Comment 9 Yaniv Lavi (Dary) 2015-10-29 08:23:03 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 10 Yaniv Lavi (Dary) 2017-02-23 06:23:42 EST
Moving out all non blocker\exceptions.
Comment 11 Raz Tamir 2017-08-06 16:01:54 EDT
Verified on ovirt-engine-4.2.0-0.0.master.20170803140556.git1e7d0dd.el7.centos

Image was imported as template and when cloning a VM from it, the single disk is marked as bootable

Note You need to log in before you can comment on or make changes to this bug.